SciQLOP - Bug #679

difficulties testing filedownloader
31/03/2016 09:54 AM - Anonymous

Status: Closed Start date: 31/03/2016
Priority: Normal Due date:

Assignee: Nicolas Aunai % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

While attempting to test DownloadFile() from FileDownloader, | get the following error message :
QScriptEngine: Must construct a Q(Core)Application before a QScriptEngine

It seems that ProxyPacParser (called by QLopNetworkProxyFactory) create a QScriptEngine that need a QCoreApplication to be
working.
Unfortunately, the Test APl doesn't provide it .

History

#1 - 31/03/2016 10:07 AM - Alexis Jeandet
QTEST_MAIN doesn't build a QCoreApplication, that's normal. If you need one then build one:
int main(int argc, char *argvf[])

{

QCoreApplication app(argc, argv);
YOURTESTCLASS instance;
QTest::gExec(&instance, argc, argv);

}

#2 - 01/07/2016 01:39 PM - Anonymous
Fixed

#3 - 01/07/2016 01:39 PM - Anonymous

- Status changed from New to Resolved

#4 - 27/09/2017 09:42 PM - Nicolas Aunai
- Status changed from Resolved to Closed

- Assignee set to Nicolas Aunai

#5 - 14/02/2019 10:28 AM - Nicolas Aunai
- Category set to legacy
